MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026457Open CASCADE[OCCT] OCCT:Foundation Classespublic2015-07-17 15:582016-04-20 15:49
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026457: Failed build with OCCT_DEBUG enabled
DescriptionAfter integration of 0024023, some debug code enabled when macro OCCT_DEBUG is defined becomes non-compilable, due to absence of cast of opencascade::handle<> to pointer.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024023closedabv Revamp the OCCT Handle 

-  Notes
There are no notes attached to this issue.

- Related Changesets
occt: master 1c29294e
Timestamp: 2015-07-17 16:20:06
Author: abv
Committer: abv
Details ] Diff ]
0026457: Failed build with OCCT_DEBUG enabled

Debug code enabled with OCCT_DEBUG macro corrected for compiling with new handles.

QANCollection_Handle.cxx simplified so as to avoid need of using /bigobj option when building by Visual Studio; templates of project files, CMake projects, and test perf fclasses handle corrected accordingly.

Script genproj corrected to recognize VTK and to build DRAWEXE as executable (rather than DLL).
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/template.vc10 Diff ] File ]
mod - adm/templates/template.vc11 Diff ] File ]
mod - adm/templates/template.vc12 Diff ] File ]
mod - adm/templates/template.vc9 Diff ] File ]
mod - src/DNaming/DNaming_RevolutionDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_SelectionDriver.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Handle.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_ValidationProps.cxx Diff ] File ]
mod - src/TKQADraw/CMakeLists.txt Diff ] File ]
mod - src/TNaming/TNaming.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepFace.cxx Diff ] File ]
mod - src/UnitsAPI/UnitsAPI.cxx Diff ] File ]
mod - tests/perf/fclasses/handle Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-17 15:58 abv New Issue
2015-07-17 15:58 abv Assigned To => abv
2015-07-17 15:59 abv Summary Feiled build with OCCT_DEBUG enabled => Failed build with OCCT_DEBUG enabled
2015-07-17 15:59 abv Relationship added related to 0024023
2015-07-23 11:55 abv Changeset attached => occt master 1c29294e
2015-07-23 11:55 abv Status new => verified
2015-07-23 11:55 abv Resolution open => fixed
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker